var $ = jQuery;
$(function() {
	
	var SubjectsGlobal = [];
	// Получить список в память
	function GetSubjectsList(){
		var Faculty = 0;
		if (parseInt($('.SelectFaculty option:selected').val()) > 0)
			var Faculty = $('.SelectFaculty option:selected').val(); 
		$.post(
			URLdir + 'handler/map/GetSubjectsList',
			{
				'FacultyID': Faculty
			},
			function(data){
				SubjectsGlobal = $.parseJSON(data);
				console.log(SubjectsGlobal);
			}
		);
	}
	GetSubjectsList();
	
	// Сортировка списка
	function SortByName(NameFilter){
		var SortSubjects = {};
		var j = 0;
		for (var i = 1; i <= parseInt(SubjectsGlobal.Count); i++) {
			if ((SubjectsGlobal[i].Title).toLowerCase().indexOf(NameFilter.toLowerCase()) + 1 > 0) {
				j++;
				SortSubjects[j] = {};
				SortSubjects[j]['ID'] = SubjectsGlobal[i].ID;
				SortSubjects[j]['Title'] = SubjectsGlobal[i].Title;
			}
		}
		SortSubjects.Count = j;
		console.log(SortSubjects);
		
		return SortSubjects;
	}

	// Для поиска предметов
	$('.InputSubject').keyup(function(){
		var NameFilter = $('.InputSubject').val();
		if (NameFilter.length > 0) {
			var SortSubjects = SortByName(NameFilter);
			$('.SelectSubject ').html('');
			if (parseInt(SortSubjects.Count) > 0) {
				$('.SelectSubject ').append('<option disabled>Результаты:</option>');
				for (var i = 1; i <= parseInt(SortSubjects.Count); i++)
					$('.SelectSubject ').append('<option value="'+ SortSubjects[i].ID +'">'+ SortSubjects[i].Title +'</option>');
				if (parseInt(SortSubjects.Count) > 4)
					$('.SelectSubject').attr('size', '4');
				else
					$('.SelectSubject').attr('size', '2');
			}
			else {
				$('.SelectSubject ').append('<option disabled>Нет результатов.</option>');
				$('.SelectSubject').attr('size', '2');
			}
			$('.SelectSubject').show();
		}
		else {
			$('.SelectSubject ').html('');
		}
	});
	
	$('.SelectFaculty').change(function(){
		GetSubjectsList($('.SelectFaculty').val());
	});
	
	$('.SelectSubject').change(function(){
		$('.InputSubject').val($('.SelectSubject option:selected').text());
		$('.SelectSubject').hide();
	});
	$('.InputSubject').focusout(function(){
		var NameFilter = $('.InputSubject').val();
		if (NameFilter.length == 0) {
			$('.SelectSubject ').html('');
			$('.SelectSubject').hide();
		}
	});
})